<?php
/**
 * Wishlist Counter empty guests template;
 *
 * @author MoreConvert
 * @package Smart Wishlist For More Convert
 * @version 1.3.2
 */


/**
 * Template Variables:
 *
 * @var $show_icon                  string yes/no
 * @var $show_text                  string yes/no
 * @var $show_empty_content         string yes/no
 * @var $dropdown_products			string yes/no
 * @var $fragment_options           array Array of items to use for fragment generation
 * @var $counter_text               string Current page
 * @var $icon                       html
 * @var $add_link_title             bool
 * @var $wishlist_link_position     string
 * @var $wishlist_link_title        string
 * @var $is_svg_icon			    bool Whether  icon is svg
 * @var $empty_wishlist_content     string string of no product in wishlist
 */


if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>
<div
	class="wlfmc-products-counter-wrapper  woocommerce wlfmc-wishlist-fragment on-first-load"
	data-fragment-options="<?php echo esc_attr( json_encode( $fragment_options ) ); ?>">
	<?php if ( 'yes' === $show_icon || 'yes' === $show_text ): ?>
		<a href="#"
		   class="wlfmc-products-counter <?php echo 'yes' === $dropdown_products ? 'has-dropdown' : ''; ?>">
			<?php if ( 'yes' === $show_icon ): ?>
				<span class="wlfmc-counter-icon">
					<?php echo  $is_svg_icon ?  '<i class="wlfmc-svg">'.wlfmc_sanitize_svg($icon ).'</i>' : wp_kses_post( $icon ); ?>
				</span>
			<?php endif; ?>

			<?php if ( 'yes' === $show_text ) : ?>
				<span class="wishlist-products-counter-text"><?php echo wp_kses_post( $counter_text ); ?></span>
			<?php endif; ?>

		</a>
	<?php endif; ?>
	<?php if ( 'yes' === $show_empty_content ) : ?>
		<div class="wlfmc-products-counter-wishlist <?php echo 'yes' === $dropdown_products ? 'wlfmc-products-counter-dropdown' : ''; ?>"">
			<div class="wlfmct_wishlist_content d-flex flex-column gap-10">
				<p class="wlfmc-wishlist-empty"><?php echo wp_kses_post( apply_filters( 'wlfmc_no_product_in_wishlist_message', $empty_wishlist_content, null ) ); ?></p>
			</div>
		</div>
	<?php endif; ?>
</div>
